IBM Support

IC68216: DB2_INSTALL SCRIPT DISPLAYS INCORRECT MESSAGE DBI1110I WHEN THE HA SCRIPTS IS NOT INSTALLED/UPDATED ON THE SYSTEM.

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • The db2 installer displays an incorrect message when attempting
    to install  DB2 HA scripts if a higher level of the HA scripts
    already  exist under
    /usr/sbin/rsct/sapolicies/db2.
    
    The installation of db2 is successful and the files under
    /usr/sbin/rsct/sapolicies/db2 are not updated. This is the
    desired behavior, however the following message is incorrect:
    
    DBI1110I  The DB2 HA scripts for the SA MP Base Component were
          successfully updated in /usr/sbin/rsct/sapolicies/db2.
    
    The correct information should be:
    
    DBI1117I  The version of the DB2 HA scripts for the SA MP Base
    Component found in /usr/sbin/rsct/sapolicies/db2 is a higher
    version
    than the version of the same scripts on the current DB2 install
    media.
    

Local fix

  • Verify the level of the files under
    /usr/sbin/rsct/sapolicies/db2 with the ls command.
    
    # ls -l /usr/sbin/rsct/sapolicies/db2/
    total 140
    -r-xr-xr-x  1 root root 2926 Apr  5 13:13 db2V97_monitor.ksh
    -r-xr-xr-x  1 root root 5912 Apr  5 13:13 db2V97_start.ksh
    -r-xr-xr-x  1 root root 4517 Apr  5 13:13 db2V97_stop.ksh
    -r-xr-xr-x  1 root root 8687 Apr  5 13:13 hadrV97_monitor.ksh
    -r-xr-xr-x  1 root root 5448 Apr  5 13:13 hadrV97_start.ksh
    -r-xr-xr-x  1 root root 4225 Apr  5 13:13 hadrV97_stop.ksh
    -r-xr-xr-x  1 root root 7070 Apr  5 13:13 mountV97_monitor.ksh
    -r-xr-xr-x  1 root root 6618 Apr  5 13:13 mountV97_start.ksh
    -r-xr-xr-x  1 root root 7800 Apr  5 13:13 mountV97_stop.ksh
    -r-xr-xr-x  1 root root 7101 Apr  5 13:13 nfsserverctrl-server
    -r-xr-xr-x  1 root root 5524 Apr  5 13:13 rovingV97_failover.ksh
    -rw-r--r--  1 root root  226 Apr 22 15:17 spec
    

Problem summary

  • ****************************************************************
    * USERS AFFECTED:                                              *
    * ALL                                                          *
    ****************************************************************
    * PROBLEM DESCRIPTION:                                         *
    * The db2 installer displays an incorrect message when         *
    * attempting                                                   *
    * to install  DB2 HA scripts if a higher level of the HA       *
    * scripts already  exist under                                 *
    *                                                              *
    * /usr/sbin/rsct/sapolicies/db2.                               *
    *                                                              *
    *                                                              *
    *                                                              *
    * The installation of db2 is successful and the files under    *
    *                                                              *
    * /usr/sbin/rsct/sapolicies/db2 are not updated. This is the   *
    *                                                              *
    * desired behavior, however the following message is           *
    * incorrect:                                                   *
    *                                                              *
    *                                                              *
    * DBI1110I  The DB2 HA scripts for the SA MP Base Component    *
    * were                                                         *
    *       successfully updated in /usr/sbin/rsct/sapolicies/db2. *
    *                                                              *
    *                                                              *
    *                                                              *
    * The correct information should be:                           *
    *                                                              *
    *                                                              *
    *                                                              *
    * DBI1117I  The version of the DB2 HA scripts for the SA MP    *
    * Base                                                         *
    * Component found in /usr/sbin/rsct/sapolicies/db2 is a higher *
    *  version                                                     *
    *                                                              *
    * than the version of the same scripts on the current DB2      *
    * install media.                                               *
    ****************************************************************
    * RECOMMENDATION:                                              *
    * Upgrade to DB2 UDB version 9.7 Fix Pack 3                    *
    ****************************************************************
    

Problem conclusion

  • Problem was first fixed in Version 9.7 Fix Pack 3
    

Temporary fix

Comments

APAR Information

  • APAR number

    IC68216

  • Reported component name

    DB2 FOR LUW

  • Reported component ID

    DB2FORLUW

  • Reported release

    970

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2010-04-27

  • Closed date

    2010-09-20

  • Last modified date

    2010-09-20

  • APAR is sysrouted FROM one or more of the following:

    IC68209

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    DB2 FOR LUW

  • Fixed component ID

    DB2FORLUW

Applicable component levels

  • R970 PSN

       UP



Document information

More support for: DB2 for Linux, UNIX and Windows

Software version: 9.7

Reference #: IC68216

Modified date: 20 September 2010